[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomFrame.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 336

`public constructor TCustomFrame.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited method using AOwner as the owner for the class instance. Create sets the ControlStyle property to the following enumeration values:

- csAcceptsControls
- csCaptureMouse
- csClickEvents
- csSetCaption
- csDoubleClicks
- csParentBackground

Create uses the default size for its class type to set the initial bounds for the control.

## Errors

Raises an EResNotFound exception at run-time if the ClassType for the class instance is not derived from TFrame.

## See also

TComponent.Create